Bug 730697 - Review Request: python26-h5py - Python interface to the HDF5 library
Summary: Review Request: python26-h5py - Python interface to the HDF5 library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 12:19 UTC by Steve Traylen
Modified: 2015-05-17 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-17 22:02:39 UTC
mattias.ellert: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2011-08-15 12:19:09 UTC
Spec URL: http://cern.ch/straylen/rpms/python26-h5py/python26-h5py.spec
SRPM URL: http://cern.ch/straylen/rpms/python26-h5py/python26-h5py-1.3.1-5.src.rpm
Description: 
The h5py package provides both a high- and low-level interface to the
HDF5 library from Python. The low-level interface is intended to be a
complete wrapping of the HDF5 API, while the high-level component
supports access to HDF5 files, data sets and groups using established
Python and NumPy concepts.

This is an EPEL5 only package suitable for use with the python26 distribution in EPEL5.

Comment 1 Mattias Ellert 2012-03-25 15:12:16 UTC
Fedora review python26-h5py

rpmlint 86961332675217766851026/result/python26-h5py/*.rpm
python26-h5py.src: W: invalid-url Source0: http://h5py.googlecode.com/files/h5py-1.3.1.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warnong is bogus, the source tarfile exists of the given URL.

+ The package name is appropriate for a python 2.6 package in EPEL
+ The specfile is named after the package
+ The package is licensed under a Fedora approved license (BSD)
+ The package license matches the license staements in the sources
+ The license file (License.txt) is included in the package
+ The specfile is written in legible English
+ Soutces matches upstream:

$ md5sum srpm/h5py-1.3.1.tar.gz h5py-1.3.1.tar.gz 
cfef84992d33910a06371dc35becb71b  srpm/h5py-1.3.1.tar.gz
cfef84992d33910a06371dc35becb71b  h5py-1.3.1.tar.gz

+ Package builds in mock
+ Build requires are sensible
+ No locales
+ No shared libraries in default library path
+ The bundled lzf code is not used (patch applied)
+ Package owns the directories it creates
+ No duplication in %files
+ File permissions are sane
+ Specfile uses macros consistently
+ Contains code
+ %doc not runtime essential
+ No static libraries
+ No development files
+ No subpackages
+ No libtool archives
+ Package does not own directories owned by other packages
+ Filenames ar valid UTF8

PACKAGE APPROVED

Comment 2 Steve Traylen 2012-07-13 23:01:31 UTC
New Package SCM Request
=======================
Package Name: python26-h5py
Short Description: python interface to hdf.
Owners: stevetraylen
Branches: el5
InitialCC:

Comment 3 Jason Tibbitts 2012-07-13 23:50:44 UTC
Git done (by process-git-requests).

Comment 4 Mattias Ellert 2013-12-11 16:37:49 UTC
Will you work this one to completion? There seems to only be one failed build in koji?

Comment 5 Orion Poplawski 2015-05-17 22:02:39 UTC
python26 stack was retired from EPEL5


Note You need to log in before you can comment on or make changes to this bug.